<?php
/*
Plugin Name: Follow Me Collection
Plugin URI: followme-collection
Description: The Follow Me Collection for Genesis Blocks
Version: 1.0
Author: Appfinite
Author URI: https://appfinite.com
License: GPLv3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/

function followme_collection() {
	// Ensure a proper version of Genesis Blocks is active before continuing.
	if ( ! function_exists( 'genesis_blocks_register_layout_component' ) ) {
		return;
	}
	// Register the Follow Me Home Layout
	genesis_blocks_register_layout_component(
		[
			'type'       => 'layout',
			'key'        => 'followme_home',
			'name'       => 'Follow Me Home Page',
			'content'    =>  require 'layouts/home.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Home',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/followme_layout_thumbnail_home.png',
			'collection' => [
                'slug'  => 'followme',
                'label' => 'Follow Me Collection',
                'thumbnail'      => plugin_dir_url(__FILE__) . 'assets/followme_section_thumbnail_home.png',
            ],
		],
	);
	// Register the Follow Me Hero Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'followme_hero',
			'name'       => 'Follow Me Hero',
			'content'    =>  require 'sections/hero.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Hero',
				'Photo',
				'Header',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/hero.png',
            'collection' => [
                'slug'  => 'followme',
                'label' => 'Follow Me Collection',
            ],
		],
	);
	// Register the Follow Me About Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'followme_about',
			'name'       => 'Follow Me About Section',
			'content'    =>  require 'sections/about.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'About',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/about.png',
			'collection' => [
                'slug'  => 'followme',
                'label' => 'Follow Me Collection',
            ],
		],
	);
	// Register the Follow Me Posts Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'followme_posts',
			'name'       => 'Follow Me Latest Posts',
			'content'    =>  require 'sections/posts.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Latest Posts',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/posts.png',
			'collection' => [
                'slug'  => 'followme',
                'label' => 'Follow Me Collection',
            ],
		],
	);
	// Register the Follow Me Testimonials Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'followme_testimonials',
			'name'       => 'Follow Me Testimonials',
			'content'    =>  require 'sections/testimonials.php',
			'category'   => [
				'Text',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/testimonials.png',
			'collection' => [
                'slug'  => 'followme',
                'label' => 'Follow Me Collection',
            ],
		],
	);
	// Register the Follow Me Email/Newsletter Section
	genesis_blocks_register_layout_component(
		[
			'type'       => 'section',
			'key'        => 'followme_email_newsletter',
			'name'       => 'Follow Me Email Newsletter',
			'content'    =>  require 'sections/email-newsletter.php',
			'category'   => [
				'Email Newsletter',
			],
			'keywords'   => [
				'Testimonials',
			],
			'image'      => plugin_dir_url(__FILE__) . 'assets/email-newsletter.png',
			'collection' => [
                'slug'  => 'followme',
                'label' => 'Follow Me Collection',
            ],
		],
	);
}
add_action( 'plugins_loaded', 'followme_collection', 12 );
